probe::socket.readv
Prev | Chapter 14. Socket Tapset | Next

## Name

probe::socket.readv — Receiving a message via `sock_readv`

## Synopsis

    socket.readv

## Values

`type`

  Socket type value

`flags`

  Socket flags value

`name`

  Name of this probe

`size`

  Message size in bytes

`family`

  Protocol family value

`protocol`

  Protocol value

`state`

  Socket state value

## Context

The message sender

## Description

Fires at the beginning of receiving a message on a socket via the `sock_readv` function

Prev | Up | Next
probe::socket.read_iter.return | Home | probe::socket.readv.return